ekg-core-0.1.1.6: Tracking of system metrics

Safe Haskell | Safe
Language | Haskell2010

System.Metrics.Label

Description

This module defines a type for mutable, string-valued labels. Labels are variable values and can be used to track e.g. the command line arguments or other free-form values. All operations on labels are thread-safe.

Synopsis

- data Label
- new :: IO Label
- read :: Label -> IO Text
- set :: Label -> Text -> IO ()
- modify :: (Text -> Text) -> Label -> IO ()

# Documentation

data Label Source #

A mutable, text-valued label.

new :: IO Label Source #

Create a new empty label.

read :: Label -> IO Text Source #

Get the current value of the label.

set :: Label -> Text -> IO () Source #

Set the label to the given value.

modify :: (Text -> Text) -> Label -> IO () Source #

Set the label to the result of applying the given function to the value.